Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Octave
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 277
Location: Kenzingen, Germany

PostPosted: Fri Oct 21, 2016 9:13 am    Post subject: Octave Reply with quote

Ich habe ein Problem mit Octave, das sich zwar installieren lässt, aber eine Bibliothek nicht findet beim Start:
/usr/libexec/octave/4.0.3/exec/x86_64-pc-linux-gnu/octave-gui: error while loading shared libraries: libblas.so.0: cannot open shared object file: No such file or directory

Kennt jemand das Problem?
_________________
Languages: English, German
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Fri Oct 21, 2016 5:52 pm    Post subject: Reply with quote

libblas gibt es von mehreren paketen, vermutlich hast du blas-reference?
mit "eselect blas" kann man zwischen verschiedenen wechseln, evtl. musst du mit "eselect blas set ..."
noch eine auswählen.
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 277
Location: Kenzingen, Germany

PostPosted: Sat Oct 22, 2016 9:35 am    Post subject: Reply with quote

Ich habe blas-reference, cblas-reference und lapack-reference reinstalliert, aber der Link wurde nicht erzeugt (so.0 gibt es tatsächlich nicht - nur so.3).
_________________
Languages: English, German
Back to top
View user's profile Send private message
musv
Advocate
Advocate


Joined: 01 Dec 2002
Posts: 3254
Location: de

PostPosted: Sat Oct 22, 2016 3:54 pm    Post subject: Reply with quote

Setz mal einen Link von libblas.so.3 auf libblas.so.0.

Und wenn das funktioniert, dann mach einen Bug-Report auf. Das dürfte zu einem Upstream-Bug werden.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3627
Location: Germany

PostPosted: Sat Oct 22, 2016 7:52 pm    Post subject: Reply with quote

Na, wie von Christian99 schon vorgeschlagen mit eselect blas schauen ob und was eigentlich gesetzt ist, ist vermutlich nee gute Idee
Das extra mit installierte eselect Modul ist doch wahrscheinlich nicht nur zur zierde da :)
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 277
Location: Kenzingen, Germany

PostPosted: Sun Oct 23, 2016 10:44 am    Post subject: Reply with quote

Ich habe die Links libblas.so.0 und liblapack.so.0 selbst erstellt und Octave lies sich dann starten.
Allerdings reagierte die GUI-Oberfläche nach dem Start nicht mehr, so dass ich offenbar nicht alle Probleme gelöst habe.
Die beiden Links habe ich durch Kopieren von libblas.so bzw. liblapack.so erzeugt.
P.S.: Bei einem zweiten Startversuch lief es dann.
_________________
Languages: English, German
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 277
Location: Kenzingen, Germany

PostPosted: Sun Oct 23, 2016 10:51 am    Post subject: Reply with quote

In welchem Paket lag nun der Fehler - blas/lapack oder octave?
_________________
Languages: English, German
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 6281

PostPosted: Sun Oct 23, 2016 2:28 pm    Post subject: Reply with quote

Ich vermute, Du hast explizit oder implizit das blas-Module mit "eselect blas" nach der Kompilation von octave geändert (und eine Deiner blas-Implementationen bietet eben nur die .3 an, während eine andere .0 anbietet). In diesem Fall kannst Du nur dann erwarten, dass octave fehlerfrei läuft, wenn Du es gegen die kompiliert hast, die Du aktuell ausgewählt hast. Die Versionsnummer .3 statt .0 wird vermutlich nicht ohne Grund geändert worden sein...
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 277
Location: Kenzingen, Germany

PostPosted: Mon Oct 24, 2016 9:18 am    Post subject: Versionsnummern Reply with quote

Die Versionsnummern sind:
virtual/blas 3.6
sci-libs/blas-reference 20151113-r1
octave 4.03
_________________
Languages: English, German
Back to top
View user's profile Send private message
YPenguin
Apprentice
Apprentice


Joined: 26 Apr 2014
Posts: 277
Location: Kenzingen, Germany

PostPosted: Mon Oct 24, 2016 9:20 am    Post subject: Reply with quote

Wenn so.0 nicht veraltet ist, sollte das blas-Paket es eigentlich erzeugen und wäre damit die Quelle des Problems.
_________________
Languages: English, German
Back to top
View user's profile Send private message
mv
Watchman
Watchman


Joined: 20 Apr 2005
Posts: 6281

PostPosted: Mon Oct 24, 2016 11:40 am    Post subject: Reply with quote

YPenguin wrote:
Wenn so.0 nicht veraltet ist, sollte das blas-Paket es eigentlich erzeugen

Nein, "eselect blas ..." sollte es bei Wahl der Referenz-Implementation erzeugen.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum